import z from 'zod';
import { ReceiptType } from '../models/receipt-type';

export const FetchReceiptsByOrderItemSubsetIdsSchema = z.object({
  eagerLoading: z.number().optional().default(1).describe('Eager loading flag'),
  receiptType: z
    .custom<ReceiptType>()
    .optional()
    .default((1 + 64 + 128) as ReceiptType)
    .describe('Receipt type'),
  ids: z
    .array(z.number().describe('Order Item Subset ID'))
    .describe('List of order item subset IDs'),
});

export type FetchReceiptsByOrderItemSubsetIdsInput = z.input<
  typeof FetchReceiptsByOrderItemSubsetIdsSchema
>;
